=== doc/examples/barectf-tracepoint/Makefile ===
.PHONY: all clean

all:
	make -f Makefile.barectf-linux-fs
	make -f Makefile.lttng-ust

clean:
	make -f Makefile.barectf-linux-fs clean
	make -f Makefile.lttng-ust clean
