=== debian/changelog ===
barectf (2.2.0-1) unstable; urgency=medium

  * New upstream release. Closes: #819654

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 27 Jul 2016 17:41:29 -0400
