=== doc/examples/parallella/Makefile ===
--- 
+++ 
@@ -1,3 +1,25 @@
+# The MIT License (MIT)
+#
+# Copyright (c) 2015 Philippe Proulx <pproulx@efficios.com>
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
 CROSS_COMPILE ?= e-
 
 BARECTF ?= barectf
@@ -10,7 +32,7 @@
 ESDK=$(EPIPHANY_HOME)
 ELDF=$(ESDK)/bsps/current/fast.ldf
 PLATFORM_DIR = ../../../platforms/parallella
-CFLAGS = -O2 -Wall -pedantic -std=c99 -I$(PLATFORM_DIR) -I.
+CFLAGS = -O2 -Wall -pedantic -I$(PLATFORM_DIR) -I.
 LDFLAGS = -T $(ELDF) -le-lib
 
 TARGET = parallella
@@ -33,7 +55,7 @@
 	barectf $< -m ctf
 
 barectf.o: barectf.c barectf.h barectf-bitfield.h
-	$(CC) $(CFLAGS) -c $<
+	$(CC) $(CFLAGS) -ansi -c $<
 
 barectf-platform-parallella.o: $(PLATFORM_DIR)/barectf-platform-parallella.c
 	$(CC) $(CFLAGS) -c $<
