=== debian/changelog ===
barectf (2.3.0-4) unstable; urgency=medium

  * [61749fc] Fix autopkgtest depends field syntax

 -- Michael Jeanson <mjeanson@ubuntu.com>  Thu, 19 Oct 2017 11:08:57 -0400

barectf (2.3.0-3) unstable; urgency=medium

  * [beebc5c] Add self dependency to testsuite

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 18 Oct 2017 16:39:19 -0400

barectf (2.3.0-2) unstable; urgency=medium

  * [bcfab71] Add build-essential dependency to testsuite

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 18 Oct 2017 11:27:53 -0400

barectf (2.3.0-1) unstable; urgency=medium

  * [65bd229] Move to DEP-14 branch naming
  * [fe7e396] Change priority to optional, as per policy
  * [b7f85d8] Bump standards version to 4.1.1
  * [c5f2fbd] Add autopkgtest support
  * [0e63112] New upstream version 2.3.0

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 17 Oct 2017 17:53:11 -0400
