=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Maintainer: Michael Jeanson <mjeanson@ubuntu.com>
 Uploaders: Jon Bernard <jbernard@debian.org>
 Section: python
-Priority: extra
+Priority: optional
 Build-Depends: python3-setuptools, python3-all (>= 3.0), debhelper (>= 9),
  python3-yaml, python3-termcolor
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 X-Python3-Version: >= 3.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/barectf.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/barectf.git
