=== debian/tests/control ===
Test-Command: cd tests && ./test.bash
Depends: @, build-essential
