=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/barectf-$1\.tar\.gz/ \
  https://github.com/efficios/barectf/tags .*/v?(\d\S*)\.tar\.gz
