=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: barectf
-Maintainer: Michael Jeanson <mjeanson@ubuntu.com>
+Maintainer: Michael Jeanson <mjeanson@debian.org>
 Uploaders: Jon Bernard <jbernard@debian.org>
 Section: python
 Priority: optional
-Build-Depends: python3-setuptools, python3-all (>= 3.0), debhelper (>= 9),
- python3-yaml, python3-termcolor
-Standards-Version: 4.1.1
-X-Python3-Version: >= 3.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/barectf.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/barectf.git
+Build-Depends: python3-setuptools, python3-all (>= 3.0), debhelper (>= 10~),
+ python3-yaml, python3-termcolor, dh-python
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/debian/barectf.git
+Vcs-Browser: https://salsa.debian.org/debian/barectf
 Homepage: http://barectf.org
 
 Package: python3-barectf
