=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,5 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_installexamples:
+	dh_installexamples -X.gitignore
