## barectf 3.0.1

=== debian/changelog ===
barectf (3.0.1-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * [a8b1fbd] d/t/control: Disable tests on s390x.

 -- Michael Jeanson <mjeanson@debian.org>  Sun, 07 Aug 2022 12:47:33 -0400

barectf (3.0.1-1) unstable; urgency=medium

  * [cf0b924] Add Salsa CI configuration
  * [5fd90ab] Bump watch file version to 4
  * [602daaf] New upstream version 3.0.1
  * [ce27f69] Move to poetry-core build system
  * [1edac64] Update upstream metadata
  * [d2837af] Move to debhelper 13
  * [6af6959] Add removed manpage
  * [57c1dfa] Update d/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 11 Apr 2022 17:29:57 -0400
