## barectf 3.1.2

=== examples/linux-fs-simple/Makefile ===
# The MIT License (MIT)
#
# Copyright (c) 2016 Philippe Proulx <pproulx@efficios.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

BARECTF ?= barectf
RM = rm -rf
MKDIR = mkdir

PLATFORM_DIR = ../../platforms/linux-fs
CFLAGS = -O2 -Wall -pedantic -I$(PLATFORM_DIR) -I.

TRACE_DIR = trace
TARGET = linux-fs-simple
OBJS = $(TARGET).o barectf.o barectf-platform-linux-fs.o

.PHONY: all

all: $(TARGET)

$(TRACE_DIR):
	$(MKDIR) $(TRACE_DIR)

$(TARGET): $(OBJS)
	$(CC) -o $@ $^

$(TRACE_DIR)/metadata barectf-bitfield.h barectf.h barectf.c: config.yaml $(TRACE_DIR)
	$(BARECTF) $< -m $(TRACE_DIR)

barectf.o: barectf.c
	$(CC) $(CFLAGS) -ansi -c $<

barectf-platform-linux-fs.o: $(PLATFORM_DIR)/barectf-platform-linux-fs.c barectf.h
	$(CC) $(CFLAGS) -c $<

$(TARGET).o: $(TARGET).c barectf.h barectf-bitfield.h
	$(CC) $(CFLAGS) -c $<

clean:
	$(RM) $(TARGET) $(OBJS) $(TRACE_DIR)
	$(RM) barectf.h barectf-bitfield.h barectf.c
