=== debian/changelog ===
barectf (3.1.2-3) unstable; urgency=medium

  * [ae3ea0e] Adjust deprecation ignore list for pytest 8.1.1 (Closes: #1063951)

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 25 Mar 2024 15:32:39 -0400

barectf (3.1.2-2) unstable; urgency=medium

  * [2375fb4] Disable pytest8 deprecation warnings (Closes: #1063951)
    - Also (Closes: #1066742) built with pytest8
  * [06b29a2] Bump standard to 4.6.2, no changes necessary

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 15 Mar 2024 15:55:53 -0400

barectf (3.1.2-1) unstable; urgency=medium

  * [fe00aa5] New upstream version 3.1.2

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 12 Jun 2023 16:03:58 -0400
