=== debian/control ===
Source: barectf
Maintainer: Michael Jeanson <mjeanson@debian.org>
Uploaders: Jon Bernard <jbernard@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all (>= 3.6),
 python3-jinja2 (>= 2.11),
 python3-jsonschema (>= 3.2),
 python3-poetry-core,
 python3-pytest <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-setuptools,
 python3-termcolor (>= 1.1),
 python3-yaml (>= 5.3)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/barectf.git
Vcs-Browser: https://salsa.debian.org/debian/barectf
Homepage: https://barectf.org

Package: python3-barectf
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: C99 code generator to write native CTF
 barectf is a command-line utility which generates C99 code that is able to
 write native Common Trace Format (CTF) binary streams. The target audience
 is developers who need to trace bare metal systems (without an operating
 system). The code produced is pure C99 and can be lightweight enough to fit
 on a tiny microcontroller.
