=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 #export DH_VERBOSE = 1
 export PYBUILD_NAME=barectf
+export PYBUILD_OPTION=--test-pytest
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
